/**
* PeerTube
* # Introduction  The PeerTube API is built on HTTP(S) and is RESTful. You can use your favorite HTTP/REST library for your programming language to use PeerTube. The spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice - we generate some client SDKs automatically:  - [Python](https://framagit.org/framasoft/peertube/clients/python) - [Go](https://framagit.org/framasoft/peertube/clients/go) - [Kotlin](https://framagit.org/framasoft/peertube/clients/kotlin)  See the [Quick Start guide](https://docs.joinpeertube.org/#/api-rest-getting-started) so you can play with the PeerTube API.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  ## Roles  Accounts are given permissions based on their role. There are three roles on PeerTube: Administrator, Moderator, and User. See the [roles guide](https://docs.joinpeertube.org/#/admin-managing-users?id=roles) for a detail of their permissions.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ``` 
*
* The version of the OpenAPI document: 2.4.0
* 
*
* NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
* https://openapi-generator.tech
* Do not edit the class manually.
*/
package org.peertube.client.models

import org.peertube.client.models.VideoPrivacySet

import com.squareup.moshi.Json

/**
 * 
 * @param channelId Channel id that will contain this live video
 * @param name Live video/replay name
 * @param saveReplay 
 * @param thumbnailfile Live video/replay thumbnail file
 * @param previewfile Live video/replay preview file
 * @param privacy 
 * @param category Live video/replay category
 * @param licence Live video/replay licence
 * @param language Live video/replay language
 * @param description Live video/replay description
 * @param support A text tell the audience how to support the creator
 * @param nsfw Whether or not this live video/replay contains sensitive content
 * @param tags Live video/replay tags (maximum 5 tags each between 2 and 30 characters)
 * @param commentsEnabled Enable or disable comments for this live video/replay
 * @param downloadEnabled Enable or disable downloading for the replay of this live
 */

data class InlineObject9 (
    /* Channel id that will contain this live video */
    @Json(name = "channelId")
    val channelId: kotlin.Int,
    /* Live video/replay name */
    @Json(name = "name")
    val name: kotlin.String,
    @Json(name = "saveReplay")
    val saveReplay: kotlin.Boolean? = null,
    /* Live video/replay thumbnail file */
    @Json(name = "thumbnailfile")
    val thumbnailfile: java.io.File? = null,
    /* Live video/replay preview file */
    @Json(name = "previewfile")
    val previewfile: java.io.File? = null,
    @Json(name = "privacy")
    val privacy: VideoPrivacySet? = null,
    /* Live video/replay category */
    @Json(name = "category")
    val category: kotlin.String? = null,
    /* Live video/replay licence */
    @Json(name = "licence")
    val licence: kotlin.String? = null,
    /* Live video/replay language */
    @Json(name = "language")
    val language: kotlin.String? = null,
    /* Live video/replay description */
    @Json(name = "description")
    val description: kotlin.String? = null,
    /* A text tell the audience how to support the creator */
    @Json(name = "support")
    val support: kotlin.String? = null,
    /* Whether or not this live video/replay contains sensitive content */
    @Json(name = "nsfw")
    val nsfw: kotlin.Boolean? = null,
    /* Live video/replay tags (maximum 5 tags each between 2 and 30 characters) */
    @Json(name = "tags")
    val tags: kotlin.collections.List<kotlin.String>? = null,
    /* Enable or disable comments for this live video/replay */
    @Json(name = "commentsEnabled")
    val commentsEnabled: kotlin.Boolean? = null,
    /* Enable or disable downloading for the replay of this live */
    @Json(name = "downloadEnabled")
    val downloadEnabled: kotlin.Boolean? = null
)

